Page MenuHomePhabricator

Bug: payment form still displays warning that we do not accept over 10K donations
Closed, ResolvedPublic0 Estimated Story Points

Description

Steps:
Attempt to make a donation over $12K
Result: See error message below in screenshot

Expected: The errors message is changed to denote the 12K limit

From Peter: the donate_interface-bigamount-error message still has USD 10000 hardcoded in it.

Event Timeline

DStrine created this task.Aug 6 2019, 2:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2019, 2:29 PM
Pcoombe added a subscriber: Pcoombe.Aug 6 2019, 3:21 PM
Pcoombe updated the task description. (Show Details)Aug 6 2019, 3:28 PM
spatton added a subscriber: spatton.Aug 6 2019, 3:33 PM
Ejegg added a comment.Aug 7 2019, 2:31 PM

Is this on donatewiki? On payments-wiki, if I don't specify an amount and currency in the URL, I can put in 11,000 USD and when I click submit the validation allows the amount (while warning on other empty fields)

https://phabricator.wikimedia.org/F29989743

Ejegg added a comment.Aug 7 2019, 2:32 PM

derp, never mind, I just read the last line of the task description

Ejegg added a comment.Aug 7 2019, 3:59 PM

So the correct fix for this is slightly more involved than just a text change - we should make that max amount a parameter and fix the places where we use it. This way it'll be correct for e.g. DLocal forms where we have a smaller max donation.

Change 529106 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Parameterize max USD amount in bigamount message

https://gerrit.wikimedia.org/r/529106

Change 529106 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Parameterize max USD amount in bigamount message

https://gerrit.wikimedia.org/r/529106

Ejegg closed this task as Resolved.Aug 19 2019, 3:37 PM